import { Module } from '@nestjs/common';
import { AppController } from './app.controller';
import { AppService } from './app.service';
import { TypeOrmModule } from '@nestjs/typeorm';
import { AdminModule } from './admin/admin.module';
import { UserModule } from './user/user.module';
import * as dotenv from 'dotenv';
import { Admin } from './admin/entities/admin.entity';
import { User } from './user/entities/user.entity';
dotenv.config()
@Module({
  imports: [
    TypeOrmModule.forRoot({
      type: 'mysql',
      host: 'localhost',
      port: parseInt(process.env.DATABASE_PORT),
      username: process.env.DATABASE_USER,
      password: process.env.DATABASE_PASSWORD,
      database: process.env.DATABASE_NAME,
      entities: [Admin, User],
      synchronize: true,
    }),
    AdminModule,
    UserModule,
  ],
  controllers: [AppController], //rutas
  providers: [AppService], //funciones para comunicarse en la bd
})
export class AppModule {}
